Subject: [Bier] [BIER] Question regarding the <draft-ietf-bier-mvpn-11> and a new <draft-xie-bier-mvpn-segmented-00>

From: Xiejingrong <[email-masked]>
Date: Fri, 20 Apr 2018 08:50:46 +0000

Hi Authors, Chairs, and all,

I have a question regarding the <draft-ietf-bier-mvpn-11>: if it is necessary to change the 'MUST' logic slightly in 2.1 about segmented MVPN deployment ?

The draft proposes a forwarding procedure on segmentation point using a lookup of per-flow Label in 4.2.2,

and thus requires the control-plane to do Per-Flow Label allocation on the BIER, as described in 2.1

   Suppose a BFIR attaches a PTA to each of two x-PMSI A-D routes, and

   both PTAs specify a tunnel type of "BIER".

   o  If segmented P-tunnels are being used, then the respective PTAs of

      the two routes MUST contain different MPLS label values whenever

      the respective NLRIs of the two routes are not identical.

And also such a forwarding procedure disables using the efficient LIR-pF explicit-tracking, as described in 2.1

   If segmented P-tunnels are not being used, the BFIR can determine the

   set of BFERs that need to receive the packets of a given (C-S,C-G)

   C-flow as follows.

It seems that, the Control-plane 'MUST' for segmented MVPN in 2.1 is a result of the assumed forwarding procedure in 4.2.2.

But the 2.1 seems to be the opposite logic, by using a 'MUST' in a section about the general usage of MPLS Label when BFIR generating x-PMSI A-D routes for segmented MVPN.

I am sorry to raise this question so late after the draft has entered the EDIT queue.

It really confused me for months, as I have raised in the mail-list two months ago about this draft and the <draft-ietf-bess-mvpn-expl-track>:

https://www.ietf.org/mail-archive/web/bier/current/msg01705.html

We could have not run into such an awkward position if the raised question have been clarified before.

Also I have submitted a new draft to describe why it is important and valuable to use an alternative forwarding procedure in segmented MVPN, by using IP lookup instead of requiring Per-Flow Labels.

Please comment on it, and show your support if you are interested in such an alternative solution.

Thank you

XieJingrong

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, April 20, 2018 3:26 PM
To: Xiejingrong <[email-masked]>; Mike McBride <[email-masked]>; Yangang <[email-masked]>
Subject: New Version Notification for draft-xie-bier-mvpn-segmented-00.txt

A new version of I-D, draft-xie-bier-mvpn-segmented-00.txt

has been successfully submitted by Jingrong Xie and posted to the IETF repository.

Name:               draft-xie-bier-mvpn-segmented

Revision:  00

Title:                  Segmented MVPN Using IP Lookup for BIER

Document date:       2018-04-20

Group:               Individual Submission

Pages:               9

URL:            https://www.ietf.org/internet-drafts/draft-xie-bier-mvpn-segmented-00.txt

Status:         https://datatracker.ietf.org/doc/draft-xie-bier-mvpn-segmented/

Htmlized:       https://tools.ietf.org/html/draft-xie-bier-mvpn-segmented-00

Htmlized:       https://datatracker.ietf.org/doc/html/draft-xie-bier-mvpn-segmented

Abstract:

   This document specifies an alternative of the control plane and data

   plane procedures that allow segmented MVPN using BIER.  This allows

   the use of a more efficient explicit-tracking as the BIER overlay,

   with a slight change in the forwarding procedure of a segmentation

   point BFR by a lookup of the IP header.  This document updates

   [I-D.ietf-bier-mvpn].